ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::files::UnknownFormatException Class Reference

Exception thrown for unrecognized or unsupported data streams or filenames. More...

`#include <ome/files/UnknownFormatException.h>`

Inheritance diagram for ome::files::UnknownFormatException:
[legend]
Collaboration diagram for ome::files::UnknownFormatException:
[legend]

## Public Member Functions
| UnknownFormatException (const std::string &what)
| Constructor. More...
virtual | ~UnknownFormatException () throw ()
| Destructor.
Public Member Functions inherited from ome::files::FormatException
| FormatException (const std::string &what)
| Constructor. More...
virtual | ~FormatException () throw ()
| Destructor.

## Detailed Description

Exception thrown for unrecognized or unsupported data streams or filenames.

## Constructor & Destructor Documentation

ome::files::UnknownFormatException::UnknownFormatException | ( | const std::string & | what | ) |
| explicit

Constructor.

Parameters

  what | the exception message.

The documentation for this class was generated from the following files:

- ome/files/UnknownFormatException.h
- ome/files/UnknownFormatException.cpp